/**
 * 
 */
package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.visitor.Visitor;

/**
 * Operand node.
 */
public class Operand implements Node
{
	
	/**
	 * Operand value.
	 */
	private double value;

	
	/**
	 * @param v Operand value.
	 */
	public Operand (double v)
	{
		value = v;
	}
	
	/**
	 * @return Operand value.
	 */
	public double getValue()
	{
		return value;
	}
	/**
	 * Overrides Object.toString() to provide a textual representation for Operand.
	 * @see Object#toString()
	 */
	public String toString()
	{
		return Double.toString(value);
	}
	
	/** 
	 * Implement double dispatch using this operand and the specific visitor passed as argument.
	 * @see ch.ethz.se.rpnc.node.Node#accept(ch.ethz.se.rpnc.visitor.Visitor)
	 */
	public void accept(Visitor visitor)
	{
		visitor.visit(this);
	}

}
